import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class ENMKlasse extends JavaObject {
    id: number;
    kuerzel: String | null;
    kuerzelAnzeige: String | null;
    sortierung: number;
    klassenlehrer: Vector<Number>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMKlasse;
    static transpilerToJSON(obj: ENMKlasse): string;
    static transpilerToJSONPatch(obj: Partial<ENMKlasse>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMKlasse(obj: unknown): ENMKlasse;
